curl --request POST \
--url https://developer.synq.io/api/ingest/openlineage/v1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://developer.synq.io/api/ingest/openlineage/v1"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://developer.synq.io/api/ingest/openlineage/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Ingest
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Struct represents a structured data value, consisting of fields
which map to dynamically typed values. In some languages, Struct
might be supported by a native representation. For example, in
scripting languages like JS a struct is represented as an
object. The details of that representation are described together
with the proto support for the language.
The JSON representation for Struct is JSON object.
Value represents a dynamically typed value which can be either
null, a number, a string, a boolean, a recursive struct value, or a
list of values. A producer of value is expected to set one of these
variants. Absence of any variant indicates an error.
The JSON representation for Value is JSON value.
Response
Success
The response is of type IngestResponse · object.